Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 639974 - <app-admin/testdisk-7.1 depends on deprecated Qt4
Summary: <app-admin/testdisk-7.1 depends on deprecated Qt4
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Robin Johnson
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on:
Blocks: qt4-removal
  Show dependency tree
 
Reported: 2017-12-05 18:26 UTC by Pavel Kozlov
Modified: 2018-04-26 15:36 UTC (History)
3 users (show)

See Also:
Package list:
app-admin/testdisk-7.1_pre20180322
Runtime testing required: ---
stable-bot: sanity-check+


Attachments
testdisk-7.1_pre20180317.ebuild.patch (testdisk-7.1_pre20180317.ebuild.patch,3.93 KB, patch)
2018-03-17 13:16 UTC, Andreas Sturmlechner
no flags Details | Diff
Build log (app-admin:testdisk-7.1_pre20180322:20180323-072718.log,969.02 KB, text/x-log)
2018-03-23 08:10 UTC, Andreas Proteus
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Kozlov 2017-12-05 18:26:33 UTC
Please add qt5 flag to build it with qt5 instead of (or in addition to) qt4.

Reproducible: Always
Comment 1 Andreas Sturmlechner gentoo-dev 2017-12-05 18:35:46 UTC
Do you have any evidence that testdisk can be built with Qt5?
Comment 3 Andreas Sturmlechner gentoo-dev 2017-12-05 20:44:26 UTC
That's git master, and is not in any release yet. Latest release available and packaged in Gentoo is from 2015.
Comment 4 Andreas Sturmlechner gentoo-dev 2017-12-05 20:49:20 UTC
Good news nevertheless, but we need upstream to make a release.
Comment 5 Viktor Yu. Kovalskii 2018-02-21 02:45:06 UTC
(In reply to Andreas Sturmlechner from comment #4)
> Good news nevertheless, but we need upstream to make a release.

Upstream releases beta version 7.1 which supports build with qt5.

https://www.cgsecurity.org/wiki/TestDisk_Download
Comment 6 Andreas Sturmlechner gentoo-dev 2018-03-17 13:16:12 UTC
Created attachment 524190 [details, diff]
testdisk-7.1_pre20180317.ebuild.patch

Adding Qt5-based snapshot ebuild, bumped to EAPI 6
Comment 7 Larry the Git Cow gentoo-dev 2018-03-22 13:07:34 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c581a15c5ea12c7160969b8ba7065e2c5bf463a2

commit c581a15c5ea12c7160969b8ba7065e2c5bf463a2
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-03-17 12:59:41 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-03-22 13:07:23 +0000

    app-admin/testdisk: Add 7.1_pre20180322 Qt5-based snapshot
    
    Bug: https://bugs.gentoo.org/639974
    Package-Manager: Portage-2.3.24, Repoman-2.3.6

 app-admin/testdisk/Manifest                        |  1 +
 app-admin/testdisk/testdisk-7.1_pre20180322.ebuild | 89 ++++++++++++++++++++++
 2 files changed, 90 insertions(+)}
Comment 8 Andreas Sturmlechner gentoo-dev 2018-03-22 13:08:32 UTC
Go forth and test.
Comment 9 Andreas Proteus 2018-03-23 08:10:32 UTC
Created attachment 524952 [details]
Build  log

It fails to build.
See attached build log.
Comment 10 Andreas Sturmlechner gentoo-dev 2018-03-23 08:12:16 UTC
Please switch to a supported compiler.
Comment 11 Andreas Sturmlechner gentoo-dev 2018-04-21 18:54:12 UTC
Arches, please stabilise!
Comment 12 Larry the Git Cow gentoo-dev 2018-04-21 23:06:12 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=374e3602b00a2f4cf3e511b1fab14a206a613725

commit 374e3602b00a2f4cf3e511b1fab14a206a613725
Author:     Aaron Bauman <bman@gentoo.org>
AuthorDate: 2018-04-21 23:03:20 +0000
Commit:     Aaron Bauman <bman@gentoo.org>
CommitDate: 2018-04-21 23:03:20 +0000

    app-admin/testdisk: amd64 stable wrt bug #639974
    
    Bug: https://bugs.gentoo.org/639974
    Package-Manager: Portage-2.3.31, Repoman-2.3.9

 app-admin/testdisk/testdisk-7.1_pre20180322.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)}
Comment 13 Thomas Deutschmann gentoo-dev Security 2018-04-25 19:31:59 UTC
x86 stable
Comment 14 Matt Turner gentoo-dev 2018-04-26 05:35:13 UTC
dropped to ~ppc
Comment 15 Larry the Git Cow gentoo-dev 2018-04-26 15:36:35 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6ecedda792b9f73ce6ff096dcde5a1732b84470f

commit 6ecedda792b9f73ce6ff096dcde5a1732b84470f
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-04-26 06:23:54 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-04-26 15:36:13 +0000

    app-admin/testdisk: Drop old Qt4-based
    
    Bug: https://bugs.gentoo.org/639974
    Package-Manager: Portage-2.3.31, Repoman-2.3.9

 app-admin/testdisk/Manifest                        |  1 -
 .../testdisk/files/testdisk-7.0-qtbindir.patch     | 27 -------
 app-admin/testdisk/testdisk-7.0-r3.ebuild          | 83 ----------------------
 3 files changed, 111 deletions(-)}